## CONTINUE Continue Execution In Loop

Section: Flow Control

### Usage

The `continue` statement is used to change the order of execution within a loop. The `continue` statement can be used inside a `for` loop or a `while` loop. The syntax for its use is

       continue

inside the body of the loop. The `continue` statement forces execution to start at the top of the loop with the next iteration. The examples section shows how the `continue` statement works.

### Example

Here is a simple example of using a `continue` statement. We want to sum the integers from `1` to `10`, but not the number `5`. We will use a `for` loop and a continue statement.

         continue_ex.m
    function accum = continue_ex
      accum = 0;
      for i=1:10
        if (i==5)
          continue;
        end
        accum = accum + 1; %skipped if i == 5!
      end

The function is exercised here:

    --> continue_ex

    ans =
     9

    --> sum([1:4,6:10])

    ans =
     50